import { SpreadsheetWorkbookDirtiedEventArgs as SpreadsheetWorkbookDirtiedEventArgs_internal } from "./SpreadsheetWorkbookDirtiedEventArgs";
/**
 * Event arguments for the
 * workbookDirtied event.
*/
var IgcSpreadsheetWorkbookDirtiedEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgcSpreadsheetWorkbookDirtiedEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    }
    IgcSpreadsheetWorkbookDirtiedEventArgs.prototype.createImplementation = function () {
        return new SpreadsheetWorkbookDirtiedEventArgs_internal();
    };
    Object.defineProperty(IgcSpreadsheetWorkbookDirtiedEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    IgcSpreadsheetWorkbookDirtiedEventArgs.prototype.onImplementationCreated = function () {
    };
    IgcSpreadsheetWorkbookDirtiedEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    return IgcSpreadsheetWorkbookDirtiedEventArgs;
}());
export { IgcSpreadsheetWorkbookDirtiedEventArgs };
